Subject: Re: Pruning Dwarf Conifers

From: PATTIBELLE <[email-masked]>
Date: Sun, 12 Mar 95 23:58:20 -0500

Jan, don't know about your spruces and cedrus, but one year I had HAD it
with a Pinus Mugho Mugho that wasn't behaving like a mugho, so I really
cut it back.  At that point I didn't care if it lived or died.  Well, it
has branched out into a lovely Pinus Mugho Mugho.  Sorry I can't offer
you wise advice about your pruning.
 
Pat in Napa, CA